Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.txbridge.ba.service
Interface ServiceDescription

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  ServiceDescriptionImpl

    public interface ServiceDescription

extends java.io.Serializable

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Method Summary
`BAAgreementType` | `getAgreementType()`
`java.lang.Class` | `getCompensationClass()`
`java.lang.Class` | `getCompensationEjbInterface()`
`java.lang.String` | `getCompensationJNDIName()`
`java.lang.String` | `getCompensationMethodName()`
`BACompensationMode` | `getCompensationMode()`
`java.lang.Object[]` | `getCompensationParameterAnnotations()`
`java.lang.Class[]` | `getCompensationParameterTypes()`
`java.lang.String` | `getCompensationProviderURL()`
`java.lang.Class` | `getCompensationReturnType()`
`BACompensationType` | `getCompensationType()`
`java.lang.String` | `getCompensationWebMethodName()`
`java.lang.Class` | `getOriginalClass()`
`java.lang.String` | `getOriginalMethodName()`
`java.lang.Object[]` | `getOriginalParameterAnnotations()`
`java.lang.Class[]` | `getOriginalParameterTypes()`
`java.lang.Object` | `getOriginalReturnId()`
`java.lang.Class` | `getOriginalReturnType()`
`java.lang.String` | `getOriginalWebMethodName()`
`BAParameterMatch` | `getParameterMatch()`
`BAServiceType` | `getServiceType()`
`boolean` | `isCompensationSingle()`
`void` | `setAgreementType(BAAgreementType agreementType)`
`void` | `setCompensationClass(java.lang.Class compensationClass)`
`void` | `setCompensationEjbInterface(java.lang.Class ejbInterface)`
`void` | `setCompensationJNDIName(java.lang.String jndiName)`
`void` | `setCompensationMethodName(java.lang.String compensationMethodName)`
`void` | `setCompensationMode(BACompensationMode compensationMode)`
`void` | `setCompensationParameterAnnotations(java.lang.Object[] compensationParameterAnnotations)`
`void` | `setCompensationParameterTypes(java.lang.Class[] compensationParameterTypes)`
`void` | `setCompensationProviderURL(java.lang.String providerURL)`
`void` | `setCompensationReturnType(java.lang.Class compensationReturnType)`
`void` | `setCompensationSingle(boolean value)`
`void` | `setCompensationType(BACompensationType compensationType)`
`void` | `setCompensationWebMethodName(java.lang.String compensationWebMethodName)`
`void` | `setOriginalClass(java.lang.Class originalClass)`
`void` | `setOriginalMethodName(java.lang.String originalMethodName)`
`void` | `setOriginalParameterAnnotations(java.lang.Object[] originalParameterAnnotations)`
`void` | `setOriginalParameterTypes(java.lang.Class[] originalParameterTypes)`
`void` | `setOriginalReturnId(java.lang.Object originalReturnId)`
`void` | `setOriginalReturnType(java.lang.Class originalReturnType)`
`void` | `setOriginalWebMethodName(java.lang.String originalWebMethodName)`
`void` | `setParameterMatch(BAParameterMatch parameterMatch)`
`void` | `setServiceType(BAServiceType serviceType)`

Method Detail

### getServiceType

    BAServiceType getServiceType()

### setServiceType

    void setServiceType(BAServiceType serviceType)

### getAgreementType

    BAAgreementType getAgreementType()

### setAgreementType

    void setAgreementType(BAAgreementType agreementType)

### getCompensationType

    BACompensationType getCompensationType()

### setCompensationType

    void setCompensationType(BACompensationType compensationType)

### getCompensationMode

    BACompensationMode getCompensationMode()

### setCompensationMode

    void setCompensationMode(BACompensationMode compensationMode)

### getOriginalClass

    java.lang.Class getOriginalClass()

### setOriginalClass

    void setOriginalClass(java.lang.Class originalClass)

### getOriginalMethodName

    java.lang.String getOriginalMethodName()

### setOriginalMethodName

    void setOriginalMethodName(java.lang.String originalMethodName)

### getOriginalWebMethodName

    java.lang.String getOriginalWebMethodName()

### setOriginalWebMethodName

    void setOriginalWebMethodName(java.lang.String originalWebMethodName)

### getOriginalReturnType

    java.lang.Class getOriginalReturnType()

### setOriginalReturnType

    void setOriginalReturnType(java.lang.Class originalReturnType)

### getCompensationClass

    java.lang.Class getCompensationClass()

### setCompensationClass

    void setCompensationClass(java.lang.Class compensationClass)

### getCompensationMethodName

    java.lang.String getCompensationMethodName()

### setCompensationMethodName

    void setCompensationMethodName(java.lang.String compensationMethodName)

### getCompensationWebMethodName

    java.lang.String getCompensationWebMethodName()

### setCompensationWebMethodName

    void setCompensationWebMethodName(java.lang.String compensationWebMethodName)

### getCompensationReturnType

    java.lang.Class getCompensationReturnType()

### setCompensationReturnType

    void setCompensationReturnType(java.lang.Class compensationReturnType)

### getOriginalParameterTypes

    java.lang.Class[] getOriginalParameterTypes()

### setOriginalParameterTypes

    void setOriginalParameterTypes(java.lang.Class[] originalParameterTypes)

### getCompensationParameterTypes

    java.lang.Class[] getCompensationParameterTypes()

### setCompensationParameterTypes

    void setCompensationParameterTypes(java.lang.Class[] compensationParameterTypes)

### getOriginalReturnId

    java.lang.Object getOriginalReturnId()

### setOriginalReturnId

    void setOriginalReturnId(java.lang.Object originalReturnId)

### getOriginalParameterAnnotations

    java.lang.Object[] getOriginalParameterAnnotations()

### setOriginalParameterAnnotations

    void setOriginalParameterAnnotations(java.lang.Object[] originalParameterAnnotations)

### getCompensationParameterAnnotations

    java.lang.Object[] getCompensationParameterAnnotations()

### setCompensationParameterAnnotations

    void setCompensationParameterAnnotations(java.lang.Object[] compensationParameterAnnotations)

### getParameterMatch

    BAParameterMatch getParameterMatch()

### setParameterMatch

    void setParameterMatch(BAParameterMatch parameterMatch)

### getCompensationJNDIName

    java.lang.String getCompensationJNDIName()

### setCompensationJNDIName

    void setCompensationJNDIName(java.lang.String jndiName)

### getCompensationProviderURL

    java.lang.String getCompensationProviderURL()

### setCompensationProviderURL

    void setCompensationProviderURL(java.lang.String providerURL)

### isCompensationSingle

    boolean isCompensationSingle()

### setCompensationSingle

    void setCompensationSingle(boolean value)

### getCompensationEjbInterface

    java.lang.Class getCompensationEjbInterface()

### setCompensationEjbInterface

    void setCompensationEjbInterface(java.lang.Class ejbInterface)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD